Subject: bug#71680: c++-ts-mode with latest tree-sitter-cpp grammar barfs on "virtual"

From: Daniel Colascione <[email-masked]>
Date: Thu, 20 Jun 2024 12:33:37 -0400

When using latest master Emacs with latest release tree-sitter and
latest version of tree-sitter-cpp, we get an error redisplay in
redisplay complaining that the "virtual" keyword in c-ts-mode--keywords
is an invalid query.  Removing "virtual" from the list in c-ts-mode.el
resolves the problem, but of course, results in the "virtual" keyword
not being fontified as a keyword.